Creates a new db report
Request Information
URI Parameters :
None.
Body Parameters :
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "f752191b-f52e-4eac-b8cb-c8077b58107d",
"db_report_type_id": "c137a6cc-e1f5-412d-a7d2-18e3accca762",
"user_id": "af606ba3-3c87-4f53-a7f9-eb96f25dd600",
"company_id": "74665827-373a-4d7b-a0e5-1b8f67d753cf",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "f1f4e636-9dfe-4589-bbfa-989ca9d7ed72",
"id_in_table": "8d6bf4f0-d75e-4775-9ee9-d8fefc5a93be",
"date_last_update": "2026-10-27T06:21:21.5923244+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-10-27T06:21:21.5923244+00:00"
}
Response Information
Resource Description :
IHttpActionResult
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "b87d6fc8-c649-468e-92c1-8e434d77a931",
"db_report_type_id": "1033b90d-1098-4291-b7db-b32ea8a9dea5",
"user_id": "08c77129-6b50-4737-8264-b4ee736a6642",
"company_id": "dba60e15-f112-4897-8393-87788da3df8f",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "d207deac-6475-4387-aae1-689c2300002d",
"id_in_table": "fa1f5784-f609-460b-9125-5b5b16dd16cc",
"date_last_update": "2026-10-27T06:21:21.5923244+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-10-27T06:21:21.5923244+00:00"
}